Create Service Instance Backup
Create a backup for a service instance
Creates a backup for a service instance. The service offering must support OSMAPI backup feature. This is an asynchronous operation that returns a job to poll for completion.
Request
URI
POST
https://api.example.local/v3/service_instances/{service_instance_guid}/backups
COPY
Path Parameters
string
service_instance_guid
Required
The unique identifier for the service instance
Responses
202
Backup creation in progress
Operation doesn't return any data structure
Response Headers
string
Location
URL of the job that is creating the backup
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{service_instance_guid}/backups
Service Instances Operations
GET
List Service Instances
POST
Create Service Instance
GET
Get Service Instance
PATCH
Update Service Instance
DELETE
Delete Service Instance
GET
List Service Instance Backups
POST
Create Service Instance Backup
POST
Restore Service Instance From Backup
GET
Get Service Instance Credentials
GET
Get Service Instance Parameters
GET
Get Service Instance Permissions
GET
List Service Instance Shared Spaces
POST
Share Service Instance
GET
Get Service Instance Usage Summary In Shared Spaces
DELETE
Unshare Service Instance